Monitoring
sfp server API reference for Monitoring: 3 endpoints.
/sfp/api/monitoring/ingestReceives a raw Salesforce error email (subject + body) forwarded by the provisioning console. Parses the email and writes structured error data to VictoriaLogs. Secured via shared MONITORING_INGEST_TOKEN and console IP validation.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/monitoring/ingest" \ -H "Content-Type: application/json" \ -d '{ "subject": "string", "body": "string" }'{ "written": 0, "parseStatus": "string", "message": "string"}/sfp/api/monitoring/edge-ingestReceives a tenant-bound email payload whose raw request body is signed by the shared Cloudflare edge router.
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/sfp/api/monitoring/edge-ingest" \ -H "x-flxbl-edge-event: string" \ -H "x-flxbl-edge-delivery: string" \ -H "Content-Type: application/json" \ -d '{ "subject": "string", "body": "string" }'{ "written": 0, "parseStatus": "string", "message": "string"}/sfp/api/monitoring/edge-email-route-checkHeader Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/sfp/api/monitoring/edge-email-route-check" \ -H "x-flxbl-edge-event: string" \ -H "Content-Type: application/json" \ -d '{ "recipient": "string" }'